
 LinHES - Bug # 1006: NVidia based HW will not install, LinHES 8.2 or later

Status: Closed Priority: Normal
Author: nigelpearson Category: Installation/Upgrade
Created: 01/08/2017 Assignee: brfransen
Updated: 01/28/2017 Due date:
Description: LinHES install hangs at 98% with rsync, as per this forum thread:

http://forum.linhes.org/viewtopic.php?f=22&t=24162&hilit=rsync&start=0

(in my case, in an Asus M3N78-VM, which used to be fully recommended on KnoppMyth :-)

This thread helpfully describes all the necessary workarounds:

http://forums.linhes.org/viewtopic.php?f=22&t=24164&start=15#p139796

Basically, VESA mode before installer gets me 100% thru install,
and now I need to do all the extra steps to enable inbuilt graphics.
I figure this should be an easy thing to detect in the installer?

Associated revisions
01/09/2017 05:41 pm - brfransen
LinHES-config: xconfig.sh: check for nvidia cards that need MSI disabled. refs #1006

xconfig.sh: use tee to output to console and logfile

History
01/09/2017 05:48 pm - brfransen
- Assignee changed from cecil to brfransen

- Target version deleted (8.5)

It seems from the reports that MSI only needs to be disabled for some older cards, specifically the 8200 and 8300. If there are more that are identified 
we can add them.

If you can test, install:
@sudo pacman -U http://linhes.org/repo/x86_64/core-testing/LinHES-config-8.4.2-5-x86_64.pkg.tar.xz
sudo pacman -U http://linhes.org/repo/x86_64/core-testing/system-templates-8.4-2-x86_64.pkg.tar.xz@
Then run:
@sudo xconfig.sh@
If your video device was identified as needing MSI disabled it should have created /etc/modprobe.d/nvidia_msi.conf.

01/11/2017 09:17 am - nigelpearson
<pre>
[nigel@mythtv-server ~]$ sudo pacman -U http://linhes.org/repo/x86_64/core-testing/LinHES-config-8.4.2-5-x86_64.pkg.tar.xz
 LinHES-config-8.4.2...   307.2 KiB   241K/s 00:01 [######################] 100%
loading packages...
resolving dependencies...
looking for conflicting packages...

Package (1)    Old Version  New Version  Net Change

LinHES-config  8.4.2-1      8.4.2-5        0.00 MiB
...

    tigervnc is already installed, will not install
    couldn't create vnc dir:/home/vncsvc/.vnc
*    vncsvc not found
    Trying to link /home/mythtv/.mythtv ->  /home/vncsvc/.mythtv
    /home/vncsvc/.mythtv is present, skipping...
    Writing out password
__End of vnc 

...
[nigel@mythtv-server ~]$ sudo pacman -U http://linhes.org/repo/x86_64/core-testing/system-templates-8.4-2-x86_64.pkg.tar.xz
 system-templates-8.4-2-x86_64            1416.6 KiB   559K/s 00:03 [#####################################] 100%
loading packages...
resolving dependencies...
looking for conflicting packages...

Package (1)       Old Version  New Version  Net Change

system-templates  8.4-1        8.4-2          0.00 MiB

Total Installed Size:  4.12 MiB
Net Upgrade Size:      0.00 MiB

:: Proceed with installation? [Y/n]         
(1/1) checking keys in keyring                                                          [###################################################] 100%
(1/1) checking package integrity                                                        [###################################################] 100%
(1/1) loading package files                                                             [###################################################] 100%
(1/1) checking for file conflicts                                                       [###################################################] 100%
:: Processing package changes...
(1/1) upgrading system-templates                                                        [###################################################] 100%
[nigel@mythtv-server ~]$ sudo xconfig.sh
Detected NVIDIA as the video card type
GeForce 8200	0x0849
  Checking for nvidia-340xx in cache or online
  Checking for nvidia-340xx-libgl in cache or online
  Checking for nvidia-340xx-utils in cache or online
  Checking for opencl-nvidia-340xx in cache or online
Installing nvidia-340xx driver
Disabling MSI interrupts
Setting resolution to 1152x720
Running plymouth_config
[nigel@mythtv-server ~]$ 
[nigel@mythtv-server ~]$ cat  /etc/modprobe.d/nvidia_msi.conf 
options nvidia NVreg_EnableMSI=0
[nigel@mythtv-server ~]$ 
[nigel@mythtv-server ~]$ lsmod | grep nv
nvidia              10526720  39 
drm                   299008  3 nvidia
</pre>

Seems to have installed OK. Will check XV acceleration later on, but for possible future debugging, dmesg before and after upgrade:

<pre>
[    7.079073] forcedeth 0000:00:0a.0 eth0: link up
[    7.079905] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[    7.478027] Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
[    8.114666] NFSD: starting 90-second grace period (net ffffffff81ab4380)
[    8.733269] ACPI Warning: \_SB_.PCI0.IXVE.IGPU._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] 
(20150930/nsarguments-95)
[    8.733316] ACPI Warning: \_SB_.PCI0.IXVE.IGPU._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] 
(20150930/nsarguments-95)
[    8.746464] ACPI Warning: \_SB_.PCI0.IXVE.IGPU._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] 
(20150930/nsarguments-95)
[    8.746516] ACPI Warning: \_SB_.PCI0.IXVE.IGPU._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] 
(20150930/nsarguments-95)
[    8.746558] ACPI Warning: \_SB_.PCI0.IXVE.IGPU._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] 
(20150930/nsarguments-95)
[    8.746584] ACPI Warning: \_SB_.PCI0.IXVE.IGPU._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] 
(20150930/nsarguments-95)
[    8.746608] ACPI Warning: \_SB_.PCI0.IXVE.IGPU._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] 
(20150930/nsarguments-95)
[    8.746632] ACPI Warning: \_SB_.PCI0.IXVE.IGPU._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] 
(20150930/nsarguments-95)
[  658.167896] cx88/2: cx2388x dvb driver version 1.0.0 loaded
[  658.167906] cx88/2: registering cx8802 driver, type: dvb access: shared
[  660.991227] AMD64 EDAC driver v3.4.0
[  660.991300] EDAC amd64: DRAM ECC disabled.
[  660.991311] EDAC amd64: ECC disabled in the BIOS or no ECC capability, module will not load.
                Either enable ECC checking or force module loading by setting 'ecc_enable_override'.
                (Note that use of the override may cause unknown side effects.)
[  662.842882] AMD64 EDAC driver v3.4.0
[  662.842959] EDAC amd64: DRAM ECC disabled.
[  662.842969] EDAC amd64: ECC disabled in the BIOS or no ECC capability, module will not load.
                Either enable ECC checking or force module loading by setting 'ecc_enable_override'.
                (Note that use of the override may cause unknown side effects.)
</pre>

01/28/2017 05:49 pm - brfransen
- Status changed from New to Closed
